みんなの「教えて(疑問・質問)」にみんなで「答える」Q&Aコミュニティ

こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

インストール: php-ntsにphp5apache2.dllがない

よろしくお願いします。
PHPには、php-5.3.0-Win32-VC9-x86.zip、php-5.3.0-nts-Win32-VC9-x86.zipがありますが、nts版には何故「php5apache2.dll」が入ってないのでしょうか?

httpd.confのLoadModuleでphp5apache2.dllのPATHを設定しますが、php5apache2.dllがないのでTS版から抜きだしてくる必要があります。
しかしNTS版に入れないのは、それなりの理由があると思うのです。
ISAPIを利用しない限りはNTS版インストールを推奨されているようですが、これだけでは理由がわかりません。

何かご存知の方おられましたら、是非 ご教授ください。

(環境)WindowsXP pro SP3、apache2.2.13、PHP 5.3.0 ActivePerl 5.10.1

投稿日時 - 2009-09-28 02:12:47

QNo.5324731

困ってます

質問者が選んだベストアンサー

Apache2はマルチスレッドで動くのでスレッドセーフじゃないと使えないのでは
php-5.3.0-Win32-VC9-x86.zipがApache用
php-5.3.0-nts-Win32-VC9-x86.zipがその他のサーバ用
と解釈しています

投稿日時 - 2009-09-28 08:32:54

お礼

ご回答頂き、有難うございました。

投稿日時 - 2009-10-08 12:01:38

ANo.1

このQ&Aは役に立ちましたか?

5人が「このQ&Aが役に立った」と投票しています

回答(1)